/* gtkwavefilebuffer.h: class to read wave data directly from a .WAV file
 * Copyright (c) 2000 David A. Bartold
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_WAVEFILE_BUFFER_H__
#define __GTK_WAVEFILE_BUFFER_H__

#include <stdio.h>
#include <gdk/gdk.h>
#include "gtkwavebuffer.h"
#include "gwavefile.h"


#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define GTK_TYPE_WAVEFILE_BUFFER            (gtk_wavefile_buffer_get_type ())
#define GTK_WAVEFILE_BUFFER(obj)            (GTK_CHECK_CAST ((obj), GTK_TYPE_WAVEFILE_BUFFER, GtkWavefileBuffer))
#define GTK_WAVEFILE_BUFFER_CLASS(klass)    (GTK_CHECK_CLASS_CAST ((klass), GTK_TYPE_WAVEFILE_BUFFER, GtkWavefileBufferClass))
#define GTK_IS_WAVEFILE_BUFFER(obj)         (GTK_CHECK_TYPE ((obj), GTK_TYPE_WAVEFILE_BUFFER))
#define GTK_IS_WAVEFILE_BUFFER_CLASS(klass) (GTK_CHECK_CLASS_TYPE ((klass), GTK_TYPE_WAVEFILE_BUFFER))


typedef struct _GtkWavefileBuffer      GtkWavefileBuffer;
typedef struct _GtkWavefileBufferClass GtkWavefileBufferClass;


struct _GtkWavefileBuffer
{
  GtkWaveBuffer  object;

  GWavefile     *data;
};

struct _GtkWavefileBufferClass
{
  GtkWaveBufferClass object_class;
};


GtkType    gtk_wavefile_buffer_get_type (void);
GtkObject *gtk_wavefile_buffer_new      (gchar *filename);


#ifdef __cplusplus
}
#endif /* __cplusplus */


#endif /* __GTK_WAVEFILE_BUFFER_H__ */

